      SUBROUTINE LPTOTP(P,PSTOPT,X0,NPOINT,PWOR,PHELP,POUT)
********************************************************************************
*                                                                              *
*  Copyright (C) Dage Sundholm, sundholm@chem.helsinki.fi                      *
*  Department of Chemistry, University of Helsinki                             *
*  P.O. Box 55, FIN-00014 Helsinki, Finland                                    *
*                                                                              *
*  This program is free software; you can redistribute it and/or               *
*  modify it under the terms of the GNU General Public License                 *
*  as published by the Free Software Foundation; either version 2              *
*  of the License, or (at your option) any later version.                      *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the Free Software                 *
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
*                                                                              *
********************************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION P(NPOINT),PSTOPT(2),PWOR(NPOINT),PHELP(NPOINT)
      DIMENSION POUT(NPOINT)
 
      CALL VCLR(PWOR,1,NPOINT)
      CALL VCLR(PHELP,1,NPOINT)
 
      PSTOPT(1)=X0
      PSTOPT(2)=1.D0
 
      PWOR(1)=P(1)
      PHELP(1)=1.D0
 
      LENNI=1
      DO 100 I=2,NPOINT
        CALL TPOLMU(PSTOPT,2,PHELP,LENNI,POUT,LENNI+1)
        LENNI=LENNI+1
        CALL VMOV(POUT,1,PHELP,1,LENNI)
 
        DO 110 J=1,LENNI
          PWOR(J)=PWOR(J)+P(I)*PHELP(J)
110     CONTINUE
 
100   CONTINUE
 
      RETURN
      END
