      SUBROUTINE PRIINT(AINT,MNVA,MXVA,MNJA,MXJA,LUOUT)
********************************************************************************
*                                                                              *
*  Copyright (C) Dage Sundholm, sundholm@chem.helsinki.fi                      *
*  Department of Chemistry, University of Helsinki                             *
*  P.O. Box 55, FIN-00014 Helsinki, Finland                                    *
*                                                                              *
*  This program is free software; you can redistribute it and/or               *
*  modify it under the terms of the GNU General Public License                 *
*  as published by the Free Software Foundation; either version 2              *
*  of the License, or (at your option) any later version.                      *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the Free Software                 *
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
*                                                                              *
********************************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
*                       Lv        Lr        Rv        Rr
      DIMENSION AINT(MNVA:MXVA,MNJA:MXJA,MNVA:MXVA,MNJA:MXJA)
      DIMENSION INDEX(5)

      WRITE(LUOUT,*)
      WRITE(LUOUT,'(A)') ' ABER VORSICHT :: '
      WRITE(LUOUT,'(A)') ' ABER VORSICHT :: '
      WRITE(LUOUT,'(A)') ' ABER VORSICHT :: '
      WRITE(LUOUT,'(A)') ' DER PROGRAM IST NICHT AUSGEMAIKAEFERT'
      WRITE(LUOUT,'(A)') ' NIEMAND WEISS WIE VIEL VW:s ES NOCH GIBT'
      WRITE(LUOUT,*)

      WRITE(LUOUT,*)
      WRITE(LUOUT,'(A)') 'The transition property matrix element'
      WRITE(LUOUT,*)

      WRITE(LUOUT,'(A,2X,I2)')
     &'The minimum rotational levels of the left and right states are :'
     &,MNJA
      WRITE(LUOUT,'(A,2X,I2)')
     &'The maximum rotational levels of the left and right states are :'
     &,MXJA
      WRITE(LUOUT,*)
      WRITE(LUOUT,'(A)') 
     &'Rotational values for the left state  --->'
      WRITE(LUOUT,*)
      WRITE(LUOUT,'(A)') 'Rotational values for'  
      WRITE(LUOUT,'(A)') 'the right state '
      WRITE(LUOUT,*)
      WRITE(LUOUT,'(A)') '|'
      WRITE(LUOUT,'(A)') '|'
      WRITE(LUOUT,'(A)') 'V'
      WRITE(LUOUT,*)


* Loop over vibrational states of the left electronic state
      DO 100 IVA=MNVA,MXVA
* Loop over vibrational states of the right electronic state
        DO 100 IVB=MNVA,MXVA
          WRITE(LUOUT,'(A,2X,I2,2X,A,2X,I2)')
     &    'The vibrational level of the left and right states are :'
     &    ,IVA-1,' and ',IVB-1
          WRITE(LUOUT,*)

* Loop over rotational levels of the right state
          DO 200 JB=MNJA,MXJA
            NVARV=INT((MXJA-MNJA)/5)+1
            INMAX=MIN(5,MXJA-MNJA+1)
            INDEX(1)=MNJA
            DO 119 I=2,INMAX
119         INDEX(I)=INDEX(I-1)+1

            WRITE(LUOUT,11) (INDEX(KKK),KKK=1,INMAX)
11          FORMAT(6X,5(5X,I4,5X))
            WRITE(LUOUT,12) JB,(AINT(IVA,KKKK,IVB,JB),
     &                      KKKK=INDEX(1),INDEX(INMAX))
12          FORMAT(I4,2X,5(D13.7,1X))

            IF(NVARV.GT.1) THEN
              DO 120 I=1,NVARV-1
                INMAX=MIN(5,MXJA-MNJA+1-I*5)
                DO 121 IN=1,INMAX
121             INDEX(IN)=INDEX(IN)+5

                WRITE(LUOUT,11) (INDEX(KKK),KKK=1,INMAX)
                WRITE(LUOUT,10) (AINT(IVA,KKKK,IVB,JB),
     &                          KKKK=INDEX(1),INDEX(INMAX))
10              FORMAT(6X,5(D13.7,1X))

120           CONTINUE
            END IF
200       CONTINUE
          WRITE(LUOUT,*)
100   CONTINUE

      RETURN
      END
