      SUBROUTINE PROPFU(X,A,Y,DYDA,MA)
********************************************************************************
*                                                                              *
*  Copyright (C) Dage Sundholm, sundholm@chem.helsinki.fi                      *
*  Department of Chemistry, University of Helsinki                             *
*  P.O. Box 55, FIN-00014 Helsinki, Finland                                    *
*                                                                              *
*  This program is free software; you can redistribute it and/or               *
*  modify it under the terms of the GNU General Public License                 *
*  as published by the Free Software Foundation; either version 2              *
*  of the License, or (at your option) any later version.                      *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the Free Software                 *
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
*                                                                              *
********************************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(MA),DYDA(MA)
      COMMON/PRPASS/ALFPS,DEPS

      WEIG=WEIGHT(X,ALFPS,DEPS)
      Y=A(1)+A(2)*X+A(3)*X*X+A(4)*X*X*X+A(5)*X*X*X*X
      Y=Y*WEIG      
      DYDA(1)=WEIG                         
      DYDA(2)=X*WEIG      
      DYDA(3)=X*X*WEIG      
      DYDA(4)=X*X*X*WEIG      
      DYDA(5)=X*X*X*X*WEIG      

      RETURN
      END
