      SUBROUTINE ISOTOP(IZ,AM,LUOUT)
********************************************************************************
*                                                                              *
*  Copyright (C) Dage Sundholm, sundholm@chem.helsinki.fi                      *
*  Department of Chemistry, University of Helsinki                             *
*  P.O. Box 55, FIN-00014 Helsinki, Finland                                    *
*                                                                              *
*  This program is free software; you can redistribute it and/or               *
*  modify it under the terms of the GNU General Public License                 *
*  as published by the Free Software Foundation; either version 2              *
*  of the License, or (at your option) any later version.                      *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the Free Software                 *
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
*                                                                              *
********************************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)

      CHARACTER*2 CHR
      DIMENSION CHR(100),AMASS(100),ISO(100)
      DATA ISO/1,4,7,9,11,12,14,16,19,20,23,24,27,28,31,32,35,40,
     &         39,40,
     &         80*0/
      DATA CHR/'H ','He','Li','Be','B ','C ','N ','O ','F ','Ne',
     &         'Na','Mg','Al','Si','P ','S ','Cl','Ar','K ','Ca',
     &         'Sc','Ti','V ','Cr','Mn','Fe','Co','Ni','Cu','Zn',
     &         'Ga','Ge','As','Se','Br','Kr','Rb','Sr','Y ','Zr',
     &         'Nb','Mo','Tc','Ru','Rh','Pd','Ag','Cd','In','Sn',
     &         50*'XX'/
      DATA AMASS/ 
     & 1.007825D0, 4.00260D0, 7.01600D0, 9.01218D0,11.00931D0,
     & 12.00000D0,14.00307D0,15.99491D0,18.99840D0,19.99244D0,
     & 22.98980D0,23.98504D0,26.98153D0,27.97693D0,30.97376D0,
     & 31.97207D0,34.96885D0,39.96300D0,38.96371D0,39.96259D0,
     & 80*0.D0 /

*     WRITE(LUOUT,*)
*     WRITE(LUOUT,'(I3,A2)')  ISO(IZ),CHR(IZ) 
*     WRITE(LUOUT,'(A,1X,D14.6)') 'Has mass = ',AMASS(IZ) 
*     WRITE(LUOUT,*)

      LARGEZ=20
      IF(IZ.GT.LARGEZ) THEN
        WRITE(LUOUT,'(A)') ' The requested data is not coded'
        WRITE(LUOUT,'(A)') ' Please check your input or add data'
        WRITE(LUOUT,'(A)') ' to the DATA STATEMENT of subroutine'
        WRITE(LUOUT,'(A)') ' ISOTOP'
        WRITE(LUOUT,'(A,1X,I3)') ' Nucleus ',IZ
        WRITE(LUOUT,'(A)') ' has no default nuclear mass coded' 
        WRITE(LUOUT,'(A)') ' I decided to stop in ISOTOP' 
        STOP
      END IF

      AM=AMASS(IZ)  
    
      RETURN
      END 
