      SUBROUTINE MADBL1(H,A,NDIM,NPOINT,NCELL,FACTOR)
********************************************************************************
*                                                                              *
*  Copyright (C) Dage Sundholm, sundholm@chem.helsinki.fi                      *
*  Department of Chemistry, University of Helsinki                             *
*  P.O. Box 55, FIN-00014 Helsinki, Finland                                    *
*                                                                              *
*  This program is free software; you can redistribute it and/or               *
*  modify it under the terms of the GNU General Public License                 *
*  as published by the Free Software Foundation; either version 2              *
*  of the License, or (at your option) any later version.                      *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the Free Software                 *
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
*                                                                              *
********************************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION H(NDIM-2,NDIM-2),A(NPOINT,NPOINT,NCELL)
 
C  Scatter out the A-matrix elements into the H matrix
C  The matrix elements are multiplied by factor and add up
 
       CALL VCLR(H,1,(NDIM-2)*(NDIM-2))
       DO 100 ICELL=1,NCELL
         ISTA=1
         IEND=NPOINT
         IF(ICELL.EQ.1) ISTA=2
         IF(ICELL.EQ.NCELL) IEND=NPOINT-1
         DO 100 IP=ISTA,IEND
           K=(ICELL-1)*(NPOINT-1)+IP-1
           DO 100 JP=ISTA,IEND
             L=(ICELL-1)*(NPOINT-1)+JP-1
             H(K,L)=H(K,L)+A(IP,JP,ICELL)*FACTOR
             H(K,L)=H(K,L)
100   CONTINUE
 
      RETURN
      END
